%define upstream_name    Test-Synopsis
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Test your SYNOPSIS code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Pod::Simple) >= 3.90.0
BuildRequires: perl(Test::Builder) >= 0.340.0
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Test::Synopsis is an (author) test module to find .pm or .pod files under
your _lib_ directory and then make sure the example snippet code in your
_SYNOPSIS_ section passes the perl compile check.

Note that this module only checks the perl syntax (by wrapping the code
with 'sub') and doesn't actually run the code.

Suppose you have the following POD in your module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.170.0-2.mga9
+ Revision: 1815779
- Mageia 9 Mass Rebuild

* Mon Dec 13 2021 tv <tv> 0.170.0-1.mga9
+ Revision: 1761811
- update to 0.17

* Sat Feb 15 2020 umeabot <umeabot> 0.160.0-2.mga8
+ Revision: 1526789
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Jun 29 2019 shlomif <shlomif> 0.160.0-1.mga8
+ Revision: 1415764
- update to 0.16

* Wed Sep 19 2018 umeabot <umeabot> 0.150.0-3.mga7
+ Revision: 1272008
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-2.mga6
+ Revision: 1034648
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.150.0-1.mga6
+ Revision: 1002315
- update to 0.15

* Thu Feb 18 2016 umeabot <umeabot> 0.110.0-2.mga6
+ Revision: 967086
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.110.0-1.mga6
+ Revision: 848076
- update to 0.11

* Sat Oct 18 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 787857
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-3.mga5
+ Revision: 747504
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-2.mga5
+ Revision: 686551
- Mageia 5 Mass Rebuild

* Mon Feb 24 2014 jquelin <jquelin> 0.100.0-1.mga5
+ Revision: 596369
- update to 0.10

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 515379
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 373799
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 28829
- mageia rebuild
- imported package perl-Test-Synopsis

